#import "~/graphql_shared/fragments/pageInfo.fragment.graphql"

query getContainerRepositoryDetails(
  $id: ID!
  $first: Int
  $last: Int
  $after: String
  $before: String
) {
  containerRepository(id: $id) {
    id
    name
    path
    status
    location
    canDelete
    createdAt
    tagsCount
    expirationPolicyStartedAt
    tags(after: $after, before: $before, first: $first, last: $last) {
      nodes {
        digest
        location
        path
        name
        revision
        shortRevision
        createdAt
        totalSize
        canDelete
      }
      pageInfo {
        ...PageInfo
      }
    }
  }
}
